const Joi = require("joi")

const partialPetSchema = Joi.object({
  name: Joi.string().required(),
  age: Joi.number().required(),
});

const validPartialPet = { name: 'Popo', age: '4' };
const error = partialPetSchema.validate(validPartialPet).error;
if (!error) {
  console.log('All OK');
};
